---
stages:
  - lint
  - test
  - generate_release
  - deploy

include:
  - project: dreamer-labs/repoman/gitlab-ci-templates
    file: /.gitlab-ci-lintdocs.yml
    ref: master
  - project: dreamer-labs/repoman/gitlab-ci-templates
    file: /.gitlab-ci-generate-release.yml
    ref: master

.scenario_template: &scenario_template
  image: python:latest
  except:
    variables:
      - $CI_COMMIT_MESSAGE =~ /^chore\(release\)/
  only:
    - merge_requests
    - master
    
commitlint:
  image: registry.gitlab.com/dreamer-labs/repoman/dl-commitlint/image:latest
  stage: lint
  script:
    - commitlintit
  only:
    - merge_requests

yamllint:
  <<: *scenario_template
  stage: test
  script:
    - pip install yamllint gitlabform
    - yamllint config.yml
    - gitlabform -dn ALL_DEFINED
  only:
    - merge_requests

update_repos:
  <<: *scenario_template
  stage: deploy
  script:
    - pip install gitlabform
    - gitlabform ALL_DEFINED
  only:
    - master
  except:
    variables:
      - $CI_COMMIT_MESSAGE =~ /^chore/
  
...